#ifndef UTIL_C
#define UTIL_C
#include "main.h"

#ifdef LOG2
double log2(double x);
#endif

bool str_prefix(char *str, char *pre);
bool str_equal(char *str, char *ztr);
size_t str_len(char *str);

int fprint_escaped(FILE *f, char *str);
int fprint_byte_size(FILE *f, size_t bytes);

/* ceil(-infty) := 0 */
uint64_t intceillog(uint64_t b, uint64_t n);
uint64_t intpow(uint64_t b, uint64_t e);

#endif
